<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * 通知メールテスト送信
 *
 * @package     Admin.Mailmanage.Mailtemplate.Send
 * @author      netnee <mail@example.com>
 * @access      public
 */
class Admin_Mailmanage_Mailtemplate_Send
{
    var $mailtpl;
    var $l_mail;
    var $session;

    var $mailtplcd;
    var $template;
    var $mailtitle;
    var $mailbody;
    var $updcnt;

    var $data;

    var $title;
    var $actionnm;
    var $pagename;

    function execute()
    {
        $params = $this->makeTestData();
        $this->l_mail->sendTestFromTemplate($this->template,
                                            $this->mailtitle,
                                            $this->mailbody, 
                                            $params);
        return 'success';
    }

    function makeTestData() {
        $testdata = array();

        // 購入
        $testdata["username"] = "ワンデポ太郎";
        $testdata["orderdate"] = date("Y-m-d");
        $testdata["orderid"]   = 99999;
        $testdata["payment"][0] = 1; // 1:カード 2:代引  3:銀行
        $testdata["payment"][1] = 1; // 1:VISA 2:MASTER 3:NICOS 4:JCB 5:アメックス
        $testdata["payment"][2] = 1234; // 下4桁
        $testdata["payment"]["kouza"] = 1234567;
        $testdata["payment"]["message"]  = "【お支払い】\n運送会社　：ヤマト運輸\n";
        $testdata["payment"]["message"] .= "お支払い　：現金（代金引換払いでは、クレジットはお取扱いしておりません）\n";
        $testdata["payment"]["message"] .= "代引手数料：500円\n";
        $testdata["payment"]["message"] .= "お支払い額：2000円";
        $testdata["addressee"] = "ワンデポ 太郎";
        $testdata["post"] = "000-0000";
        $testdata["address1"] = "新潟県新潟市";
        $testdata["address2"] = "マンション101";
        $testdata["tel1"] = "012-345-6789";
        $testdata["order"][0]["itemnm"] = "テスト商品１";
        $testdata["order"][0]["count"] = 1;
        $testdata["order"][0]["price"] = 500;
        $testdata["souryou"] = 500;
        $testdata["takkyubin"] = 500;
        $testdata["daibiki"] = 500;
        $testdata["totalprice"] = 2000;

        // 購入-出品
        $testdata["nicknm"] = "ニックネーム";
        $testdata["mailaddr"] = "test@hoge.jp";

        // 購入-ダウンロード
        $testdata["download_url"] = "http://ダウンロードURL";
        $testdata["dlperiodend"] = date("Y-m-d");

        // 購入-商品発送
        $testdata["enquiryno"] = "1111-2222-3333";
        $testdata["orderno"] = 99999;
        $testdata["depositdiv"] = 3; // 代引
        $testdata["depositdivname"] = "代金引換";
        $testdata["itemlist"][0]["itemnm"] = "テスト商品１";
        $testdata["itemlist"][0]["count"] = 1;
        $testdata["itemlist"][0]["price"] = 500;

        // 仮登録
        $testdata["regist_url"] = "http://仮登録のURL";
        $testdata["lastnm"] = "ワンデポ";
        $testdata["firstnm"] = "太郎";
        $testdata["lastnmkana"] = "わんでぽ";
        $testdata["firstnmkana"] = "たろう";

        // 会員登録完了
        $testdata["lastname"] = "ワンデポ";
        $testdata["frontname"] = "太郎";

        // 購入者
        $testdata["name_kana"] = "わんでぽたろう";
        $testdata["tel2"] = "098-765-4321";
        $testdata["subpost"] = "000-0000";
        $testdata["subaddress"] = "新潟県新潟市";
        $testdata["subaddress2"] = "マンション101";
        $testdata["subtel1"] = "012-345-6789";

        // 出品者
        $testdata["receive_bank"] = "ワンデポ銀行";
        $testdata["receive_branch"] = "ワンデポ支店";
        $testdata["card_type"] = "VISA";
        $testdata["takkyubinprc"] = 500;
        $testdata["sellerdiv"] = "小口出品";
        $testdata["news"] = "テストテストテストテストテスト";

        // メールフォーム
        $testdata["mail_dev"] = 1; // 1:違反行為 2:クレーム 3:その他
        $testdata["url"] = "http://URL";
        $testdata["mail_text"] = "テストテストテストテストテスト";

        // 出品-受付完了
        $testdata["itemnm"] = "出品テスト商品";
        $testdata["condition"] = "新古品";
        $testdata["comment"] = "コメントコメント";
        $testdata["price"] = 1000;
        $testdata["souryou"] = 100;
        $testdata["count"] = 1;

        // 出品-商品発送
        $testdata["address"] = "新潟県新潟市";
        $testdata["tel"] = "012-345-6789";
        $testdata["sellernm"] = "ワンデポ太郎";
        $testdata["sendprice"] = 100;

        // 購入者へメール
        $testdata["sellermail"] = "test@hoge.jp";

        return $testdata;
    }

    function getTemplatenm()
    {
        switch ($this->template) {
            case "buy_complete":
            return "購入 - 購入完了";
            break;

            case "buy_complete_reserve":
            return "購入 - 購入完了 - 予約";
            break;

            case "buy_complete_sell":
            return "購入 - 購入完了 - 出品";
            break;

            case "buy_complete_dl":
            return "購入 - 購入完了 - ダウンロード";
            break;

            case "send_item":
            return "購入 - 商品発送";
            break;

            case "interim_regist":
            return "会員登録 - 仮登録";
            break;

            case "regist_complete":
            return "会員登録 - 登録完了";
            break;

            case "consumer_complete":
            return "会員登録 - 購入者登録完了";
            break;

            case "seller_complete":
            return "会員登録 - 出品者登録完了";
            break;
            
            case "mail_form":
            return "その他 - メールフォーム";
            break;

            case "seller_request":
            return "会員登録 - 出品者 - 申請受付";
            break;

            case "seller_accept":
            return "会員登録 - 出品者 - 承認";
            break;

            case "exhibit_complete":
            return "出品 - 受付完了";
            break;

            case "sell_send_item":
            return "出品 - 商品発送";
            break;

            case "sellout_information":
            return "出品 - 売却通知";
            break;

            case "send_consumer":
            return "購入者へメール";
            break;

            case "signature_header":
            return "署名 - ヘッダ";
            break;

            case "signature_footer":
            return "署名 - フッタ";
            break;
        }
        return "";
    }
}
?>
